package com.ims.eval.component;

import com.ims.eval.entity.DeptAssessmentDeclaration;
import com.ims.eval.service.IDeptAssessmentDeclarationService;
import com.ims.idms.modules.sys.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author hlf
 * @date 2023/8/9 9:28
 * 文件说明：流程脚本事件
 */
@Component
public class NextApproverImpl {

	@Autowired
	private IDeptAssessmentDeclarationService deptAssessmentDeclarationService;

	/**
	 * 获取流程审批人员
	 *
	 * @return 结果
	 */
	public List<SysUser> submitTask1(String id, String a2, String a3) {
		List<SysUser> userList = new ArrayList<>();
		DeptAssessmentDeclaration deptAssessmentDeclaration = deptAssessmentDeclarationService.getById(id);
		if (null != deptAssessmentDeclaration){
			SysUser user = new SysUser();
			user.setId(deptAssessmentDeclaration.getDeptLeaderId());
			user.setNo(deptAssessmentDeclaration.getDeptLeaderNo());
			user.setName(deptAssessmentDeclaration.getDeptLeaderName());
			userList.add(user);
		}
		return userList;
	}

	/**
	 * 获取流程复批人员
	 *
	 * @return 结果
	 */
	public List<SysUser> submitTask2(String id, String a2, String a3) {
		List<SysUser> userList = new ArrayList<>();
		DeptAssessmentDeclaration deptAssessmentDeclaration = deptAssessmentDeclarationService.getById(id);
		if (null != deptAssessmentDeclaration){
			SysUser user = new SysUser();
			user.setId(deptAssessmentDeclaration.getSeconderId());
			user.setNo(deptAssessmentDeclaration.getSeconderNo());
			user.setName(deptAssessmentDeclaration.getSeconderName());
			userList.add(user);
		}
		return userList;
	}
}
